Source: pyhamcrest
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: David Villa Alises <David.Villa@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
 python3-hatch-vcs,
 python3-hypothesis,
 python3-pytest-cov,
 python3-setuptools,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://hamcrest.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/pyhamcrest.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyhamcrest
Testsuite: autopkgtest-pkg-python

Package: python3-hamcrest
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Hamcrest framework for matcher objects (Python 3)
 PyHamcrest is a framework for writing matcher objects, allowing you to
 declaratively define "match" rules. There are a number of situations where
 matchers are invaluable, such as UI validation, or data filtering, but it is in
 the area of writing flexible tests that matchers are most commonly used. This
 tutorial shows you how to use PyHamcrest for unit testing.
 .
 When writing tests it is sometimes difficult to get the balance right between
 overspecifying the test (and making it brittle to changes), and not specifying
 enough (making the test less valuable since it continues to pass even when the
 thing being tested is broken). Having a tool that allows you to pick out
 precisely the aspect under test and describe the values it should have, to a
 controlled level of precision, helps greatly in writing tests that are
 "just right." Such tests fail when the behavior of the aspect under test
 deviates from the expected behavior, yet continue to pass when minor,
 unrelated changes to the behaviour are made.
 .
 This package provides the Python 3.x modules.
